import BigNumber from "bignumber.js"

export class CommissionRecordDto {
    id: number
    userId: number
    name: string
    fromUserId: number
    level: number
    ratio: BigNumber
    amount: BigNumber
    createdAt: Date

    constructor(data: Partial<CommissionRecordDto>) {
        Object.assign(this, data)
    }
}
